public class SPIELSTEUERUNG
{

    int punkteStand;
    int leben;
    int level;
    
    STEUERUNGSANZEIGE steuerungsanzeige;
    LABYRINTH aktLabyrinth;
    MAMPFI mampfi;

    
    public SPIELSTEUERUNG()
    {
        int punkteStand = 0;
        int leben = 3;
        int level = 1;
    
        steuerungsanzeige = new STEUERUNGSANZEIGE();
        steuerungsanzeige.Anmelden(this);
    
        
       steuerungsanzeige.PunkteStandSetzen(punkteStand);
       steuerungsanzeige.LebenSetzen(leben);
       steuerungsanzeige.LevelSetzen(level);
       
        SpielVorbereiten();
     
    }
    
    void SpielVorbereiten()
    {   
        aktLabyrinth = new LABYRINTH();
        mampfi = new MAMPFI(aktLabyrinth);
    }

    char KruemelBelegungTesten()
    {
        ZELLE aktZelle;
        aktZelle = aktLabyrinth.ZelleGeben(mampfi.PositionXGeben(), 
                                            mampfi.PositionYGeben());
        return aktZelle.KruemelBelegungAnzeigen();
    }
    
    void SpielzugAuswerten()
    {
        ZELLE aktZelle;
        aktZelle = aktLabyrinth.ZelleGeben(mampfi.PositionXGeben(), mampfi.PositionYGeben());

        if (aktZelle.KruemelBelegungAnzeigen() == 'K')
        { 
            punkteStand = punkteStand + aktZelle.KruemelWertGeben();
            steuerungsanzeige.PunkteStandSetzen(punkteStand);
            aktZelle.KruemelVerschwindenLassen();

        }
        else if (aktZelle.KruemelBelegungAnzeigen() == 'P')
        {
            punkteStand = punkteStand + aktZelle.KruemelWertGeben();
            steuerungsanzeige.PunkteStandSetzen(punkteStand);
            aktZelle.KruemelVerschwindenLassen();
            mampfi.VerwundbarSetzen(false);
        }
    }
    

    MAMPFI MampfiGeben()
    {
        return mampfi;
    }
    
    void AufTasteReagieren(int taste)
    {   
         switch(taste) 
        {
            case 37: // Taste "links"
                mampfi.NachWestenGehen();
                SpielzugAuswerten(); 
                break;
            case 38: // Taste "oben"
                mampfi.NachNordenGehen();
                SpielzugAuswerten(); 
                break;
            case 39: // Taste "rechts"
                mampfi.NachOstenGehen();
                SpielzugAuswerten(); 
                break;
            case 40: // Taste "unten"
                mampfi.NachSuedenGehen();
                SpielzugAuswerten(); 
                break;
            case 86: // Taste "V"
                mampfi.VerwundbarSetzen(true); 
                break;
            
            
            
        }
       
    }
 
}
