class ZELLE
{
    //Attribute
    int positionX;
    int positionY;
    boolean istMauer;
    
    //Referenzattribut
    ZELLENSYMBOL form;
    KRUEMEL kruemel;
           
    ZELLE(int positionXNeu, int positionYNeu)
    {
        positionX = positionXNeu;
        positionY = positionYNeu;
        istMauer = false;
        
        form = new ZELLENSYMBOL(positionX, positionY); 
        form.FuellFarbeSetzen("blau");
        kruemel = new KRUEMEL(positionX, positionY, 50);
        

        
        // Anmelden der form an der Anzeige um Features wie das Mauersetzen per Mausklick nutzen zu knnen
        form.Anmelden(this);
        
    }

    boolean IstMauer()
    {
        return istMauer;
    }

    void IstMauerSetzen(boolean istMauerNeu)
    {
        istMauer = istMauerNeu;
        form.FuellungSichtbarSetzen(istMauerNeu);
        
        if (istMauer == true)
        {
            kruemel.UnsichtbarMachen();
        }
        
    }
    
    void PowerKruemelHinlegen(int punktewert)
    {
        kruemel.PowerVerleihen(punktewert);
    }
        
    void KruemelVerschwindenLassen()
    {
        kruemel.UnsichtbarMachen();
        
    }

    int PositionXGeben()
    {
        return positionX;
    }

    int PositionYGeben()
    {
        return positionY;
    }

    /**
     * Diese Methode zeigt die Kr&uuml;elbelegung auf der Zelle an:
     * @return      
     * 'L' Die Zelle ist leer. <br>
     * 'P' Auf der Zelle liegt ein Powerkr&uuml;el, der mampfi unverletzlich macht.<br>
     * 'K' Auf der Zelle liegt ein normaler Kr&uuml;el.<br>

     */
    char KruemelBelegungAnzeigen()
    {
        if (kruemel.WurdeGefressenGeben())
        {
            return 'L';
        }
        else 
        {
            if (kruemel.MachtUnverletzlichGeben())
            {
                return 'P';
            }
            else
            {
                return 'K';
            }
        }
    }
    
    int KruemelWertGeben()
    {
        return kruemel.PunkteWertGeben();
    }
            


}
