
class MAMPFI
{
    // Attribute
    int positionX;
    int positionY;
    boolean verwundbar;
    char blickrichtung;
    
    // Refernzattribute
    MAMPFISYMBOL form;
    LABYRINTH labyrinth;
 
    MAMPFI(LABYRINTH labyrinthNeu)
    {
        verwundbar = true;
        blickrichtung = 'O';
        positionX = 0;
        positionY = 0;

        labyrinth = labyrinthNeu;
 
        form = new MAMPFISYMBOL();
        form.RadiusSetzen(30);
        form.StartWinkelSetzen(30);
        form.BogenWinkelSetzen(300);
        form.BogenArtSetzen(2);
        form.FuellFarbeSetzen("gelb");
        form.PositionXSetzen(positionX);
        form.PositionYSetzen(positionY);
    }
    
    void NachNordenBlicken()
    {
        blickrichtung = 'N';
        form.StartWinkelSetzen(120);
    }
    
    void NachOstenBlicken()
    {
        blickrichtung = 'O';
        form.StartWinkelSetzen(30);
    }
    
    void NachSuedenBlicken()
    {
        blickrichtung = 'S';
        form.StartWinkelSetzen(300);
    }
    
    void NachWestenBlicken()
    {
        blickrichtung = 'W';
        form.StartWinkelSetzen(210);
    }
    
    void VerwundbarSetzen(boolean verwundbarNeu)
    {
        verwundbar = verwundbarNeu;
        if(verwundbar == false)
        {
            form.FuellFarbeSetzen("rot");
            form.RandFarbeSetzen("rot");
        }
        else 
        {
            form.FuellFarbeSetzen("gelb");
            form.RandFarbeSetzen("gelb");
        }
    }
    
    int PositionXGeben()
    {
       return positionX;
    }
    
    int PositionYGeben()
    {
       return positionY;
    }
    
    void NachNordenGehen()
    {
        NachNordenBlicken();
        if (positionY>0)
        {
            if(labyrinth.zellFeld[positionX][positionY-1].IstMauer())  // kann krzer formuliert werden
            {
                System.out.println("Autsch");
            }    
            else
            {
                 positionY = positionY-1 ;
            }
        }
        form.PositionYSetzen(positionY);
    }
    
    void NachOstenGehen()
    {
        NachOstenBlicken();        
        if (positionX < labyrinth.BreiteGeben()-1)
        { 
            if(labyrinth.zellFeld[positionX+1][positionY].IstMauer())  // kann krzer formuliert werden
            {
                System.out.println("Autsch");
            }    
            else
            {
                 positionX = positionX+1 ;
            }
        }
        form.PositionXSetzen(positionX);
    }
    
    void NachSuedenGehen()
    {
        NachSuedenBlicken();        
        if (positionY < labyrinth.HoeheGeben()-1)
        { 
            if(labyrinth.zellFeld[positionX][positionY+1].IstMauer())  // kann krzer formuliert werden
            {
                System.out.println("Autsch");
            }    
            else
            {
                 positionY = positionY+1 ;
            }          
        }
        form.PositionYSetzen(positionY);
    }
    
    void NachWestenGehen()
    {
        NachWestenBlicken();        
        if (positionX>0)
        {
            if(labyrinth.zellFeld[positionX-1][positionY].IstMauer())  // kann krzer formuliert werden
            {
                System.out.println("Autsch");
            }    
            else
            {
                positionX = positionX-1 ;

            }          
        }
        form.PositionXSetzen(positionX);
    }
    
}
